Package com.ocient.jdbc.proto

## Interface PlanProtocol.ComputeConfigurationOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ComputeConfiguration`, `PlanProtocol.ComputeConfiguration.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ComputeConfigurationOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsComputeConfiguration​(int key)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`Map<Integer,​PlanProtocol.ExecutionClusters>` `getComputeConfiguration()` Deprecated.
`int` `getComputeConfigurationCount()` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`Map<Integer,​PlanProtocol.ExecutionClusters>` `getComputeConfigurationMap()` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ExecutionClusters` `getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`
`PlanProtocol.ExecutionClusters` `getComputeConfigurationOrThrow​(int key)` `map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getComputeConfigurationCount

    int getComputeConfigurationCount()

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

#### containsComputeConfiguration

    boolean containsComputeConfiguration​(int key)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

#### getComputeConfiguration

    @Deprecated
    Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfiguration()

Deprecated.
Use `getComputeConfigurationMap()` instead.

#### getComputeConfigurationMap

    Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfigurationMap()

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

#### getComputeConfigurationOrDefault

    PlanProtocol.ExecutionClusters getComputeConfigurationOrDefault​(int key,
                                                                    PlanProtocol.ExecutionClusters defaultValue)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`

#### getComputeConfigurationOrThrow

    PlanProtocol.ExecutionClusters getComputeConfigurationOrThrow​(int key)

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 1;`